state_align_search_s Struct Reference

Phone loop search structure. More...

`#include <state_align_search.h>`

## Data Fields

ps_search_t | base
| Base search structure.
hmm_context_t * | hmmctx
| HMM context structure.
ps_alignment_t * | al
| Alignment structure being operated on.
hmm_t * | hmms
| Vector of HMMs corresponding to phone level.
int | n_phones
| Number of HMMs (phones).
int | frame
| Current frame being processed.
int32 | best_score
| Best score in current frame.
int | n_emit_state
| Number of emitting states (tokens per frame)
state_align_hist_t * | tokens
| Tokens (backpointers) for state alignment.
int | n_fr_alloc
| Number of frames of tokens allocated.

## Detailed Description

Phone loop search structure.

Definition at line 66 of file state_align_search.h.

## Field Documentation

## al

ps_alignment_t* state_align_search_s::al

Alignment structure being operated on.

Definition at line 69 of file state_align_search.h.

## base

ps_search_t state_align_search_s::base

Base search structure.

Definition at line 67 of file state_align_search.h.

## best_score

int32 state_align_search_s::best_score

Best score in current frame.

Definition at line 74 of file state_align_search.h.

## frame

int state_align_search_s::frame

Current frame being processed.

Definition at line 73 of file state_align_search.h.

## hmmctx

hmm_context_t* state_align_search_s::hmmctx

HMM context structure.

Definition at line 68 of file state_align_search.h.

## hmms

hmm_t* state_align_search_s::hmms

Vector of HMMs corresponding to phone level.

Definition at line 70 of file state_align_search.h.

## n_emit_state

int state_align_search_s::n_emit_state

Number of emitting states (tokens per frame)

Definition at line 76 of file state_align_search.h.

## n_fr_alloc

int state_align_search_s::n_fr_alloc

Number of frames of tokens allocated.

Definition at line 78 of file state_align_search.h.

## n_phones

int state_align_search_s::n_phones

Number of HMMs (phones).

Definition at line 71 of file state_align_search.h.

## tokens

state_align_hist_t* state_align_search_s::tokens

Tokens (backpointers) for state alignment.

Definition at line 77 of file state_align_search.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/state_align_search.h